<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcMechanicsObject Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcMechanicsObject Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcMechanicsObject" --><!-- doxytag: inherits="iBase" -->
<p>A dynamic body.  
 <a href="structiPcMechanicsObject.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mechsys_8h_source.html">propclass/mechsys.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcMechanicsObject:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcMechanicsObject.png" usemap="#iPcMechanicsObject_map" alt=""/>
  <map id="iPcMechanicsObject_map" name="iPcMechanicsObject_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,129,24"/>
</map>
 </div></div>

<p><a href="structiPcMechanicsObject-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a987034c0080e19c27efcf2e79711a13f">AddForceDuration</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force, bool relative, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;position, float seconds)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">During the specified time (in seconds) add the force every step.  <a href="#a987034c0080e19c27efcf2e79711a13f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a505a7b3411ce412437519a67f9aa9039">AddForceFrame</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force, bool relative, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;position)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">During the next frame add the force every step.  <a href="#a505a7b3411ce412437519a67f9aa9039"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a535a4d764194b9dd7ab1a6383330a009">AddForceOnce</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force, bool relative, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;position)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a force once to the given object.  <a href="#a535a4d764194b9dd7ab1a6383330a009"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#aac6a269629cf3e9b2991bea5b2e44e7f">AddForceTagged</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;force, bool relative, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;position)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a force with the given tag, to be manually removed later.  <a href="#aac6a269629cf3e9b2991bea5b2e44e7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a1e4283b747fd811958c798de389c6ab8">AddToGroup</a> (const char *group)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add this body to the specified group.  <a href="#a1e4283b747fd811958c798de389c6ab8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a553bc6a82160cf93b307fac76e006af6">AttachColliderBoundingBox</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;sizeadjustment=<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>(0))=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a box collider for this object, automatically sized and positioned from it's mesh.  <a href="#a553bc6a82160cf93b307fac76e006af6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a2cf882df76f7709ff8003ccd74fd0c82">AttachColliderBoundingSphere</a> (float radiusadjustment=0.0f)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a sphere collider for this object, automatically sized and positioned from it's mesh.  <a href="#a2cf882df76f7709ff8003ccd74fd0c82"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#aa5e229261a484fe9bec03bd79ccbb455">AttachColliderBox</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;size, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsOrthoTransform.html">csOrthoTransform</a> &amp;trans)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a box collider for this object.  <a href="#aa5e229261a484fe9bec03bd79ccbb455"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a4ccfbaa43a35425865d23928e96bc603">AttachColliderConvexMesh</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a convex mesh collider for this object from the attached <a class="el" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>.  <a href="#a4ccfbaa43a35425865d23928e96bc603"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#afe375adbbdfdf70b46af13fa3a12aef7">AttachColliderCylinder</a> (float length, float radius, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsOrthoTransform.html">csOrthoTransform</a> &amp;trans)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a cylinder collider for this object.  <a href="#afe375adbbdfdf70b46af13fa3a12aef7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ae3014506ffc9cb08e0e60a0e40dcf948">AttachColliderMesh</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a mesh collider for this object from the attached <a class="el" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>.  <a href="#ae3014506ffc9cb08e0e60a0e40dcf948"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a680eb66d8c3cc332f47441e9a6c9c4ca">AttachColliderPlane</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPlane3.html">csPlane3</a> &amp;plane)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a plane collider for this object.  <a href="#a680eb66d8c3cc332f47441e9a6c9c4ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a30faf24bb4efb8a4913e185d49aeb12a">AttachColliderSphere</a> (float radius, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;offset)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a sphere collider for this object.  <a href="#a30faf24bb4efb8a4913e185d49aeb12a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a99dc6a9c9d483f308a46bda3dd5b0dcd">ClearForces</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the permanent forces on this body.  <a href="#a99dc6a9c9d483f308a46bda3dd5b0dcd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiJoint.html">iJoint</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ae295f74a80e9fc47f28ac51b73d170a9">CreateJoint</a> (<a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *other)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a joint between this object and another.  <a href="#ae295f74a80e9fc47f28ac51b73d170a9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a96e308b35499fc9478cf43e458a31928">GetAngularVelocity</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current angular velocity (rotation) of the object.  <a href="#a96e308b35499fc9478cf43e458a31928"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ac2bc708f19c17fc57d96e438f5980290">GetBody</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the associated rigid body.  <a href="#ac2bc708f19c17fc57d96e438f5980290"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcCamera.html">iPcCamera</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a2ea10a56d7e022df496fb295f1a162b5">GetCamera</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the associated camera property class.  <a href="#a2ea10a56d7e022df496fb295f1a162b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a38c3f08611b56a0e61e267ac09eae682">GetDensity</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the object's density.  <a href="#a38c3f08611b56a0e61e267ac09eae682"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a450da3ae5eff1c5c2dea86a027b3b1e8">GetDrag</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the object's drag.  <a href="#a450da3ae5eff1c5c2dea86a027b3b1e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a816452282253941f5082b18839135d67">GetElasticity</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the object's elasticity.  <a href="#a816452282253941f5082b18839135d67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a71e7bcacc7dc609b25add73f73867ff6">GetFriction</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the object's friction.  <a href="#a71e7bcacc7dc609b25add73f73867ff6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a6af72c2d9714c20caf5282f1654ec7e3">GetLift</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the object's lift.  <a href="#a6af72c2d9714c20caf5282f1654ec7e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcLight.html">iPcLight</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a5be069a38ef822ff54544a84a8b10d89">GetLight</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the associated light property class.  <a href="#a5be069a38ef822ff54544a84a8b10d89"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ac01c0658a79bc6b30bce62cd99c59be7">GetLinearVelocity</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current linear velocity (movement) of the object.  <a href="#ac01c0658a79bc6b30bce62cd99c59be7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a2a7ab9561c54c2a41dd21cd48767fe80">GetMass</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the object's mass.  <a href="#a2a7ab9561c54c2a41dd21cd48767fe80"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcMechanicsSystem.html">iPcMechanicsSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ae90c3a046958a0d26055d5623f8ffd3f">GetMechanicsSystem</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the associated mechanics system.  <a href="#ae90c3a046958a0d26055d5623f8ffd3f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#adde993e5fedda249abf97721d8ddd8db">GetMesh</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the associated mesh property class.  <a href="#adde993e5fedda249abf97721d8ddd8db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ae039f85cb5be9ad570bb98863bda333e">GetSoftness</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the object's softness.  <a href="#ae039f85cb5be9ad570bb98863bda333e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a3e0c77692d149d76f801c72e3c77f55a">IsCollisionCallbackEnabled</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if collision callback is enabled.  <a href="#a3e0c77692d149d76f801c72e3c77f55a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#aca764cfe8f9c31eb3fce75b177fbf10c">IsStatic</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if static.  <a href="#aca764cfe8f9c31eb3fce75b177fbf10c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a7378de779bcec920f07db72e1346d54d">LocalToWorld</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> local)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a vector from this objects local system to world coord system.  <a href="#a7378de779bcec920f07db72e1346d54d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a3b3ef562b296bda150af14742088f1aa">MakeStatic</a> (bool stat)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Make static.  <a href="#a3b3ef562b296bda150af14742088f1aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a3664c1104a818b889eea2c343c868a8c">RemoveForceTagged</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> forceid)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the force with the given tag.  <a href="#a3664c1104a818b889eea2c343c868a8c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a731d9dd3a3e1c64104583444feed417e">RemoveFromGroup</a> (const char *group)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove this body from the specified group.  <a href="#a731d9dd3a3e1c64104583444feed417e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a28ae6960a8b0a19c7d1fcb950c978a96">SetAngularVelocity</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vel)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the initial angular velocity (rotation) of the object.  <a href="#a28ae6960a8b0a19c7d1fcb950c978a96"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a2d5d93d7de2a4ef73ecd18fe8f1271c1">SetCamera</a> (<a class="el" href="structiPcCamera.html">iPcCamera</a> *camera)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the camera which this body will control.  <a href="#a2d5d93d7de2a4ef73ecd18fe8f1271c1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a874d14f8557251e60ec927cf52152ef8">SetCollisionCallbackEnabled</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set to true if you want to receive collision detection events (pcdynamicbody_collision).  <a href="#a874d14f8557251e60ec927cf52152ef8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a0077a80739cddb50dece115547623cca">SetDensity</a> (float density)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the object's density.  <a href="#a0077a80739cddb50dece115547623cca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a957c04a0e83abc26b84c7f6020dcfb1e">SetDrag</a> (float drag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the object's drag.  <a href="#a957c04a0e83abc26b84c7f6020dcfb1e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a626142213e77fcc7977e60d9480e2afa">SetElasticity</a> (float elasticity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the object's elasticity.  <a href="#a626142213e77fcc7977e60d9480e2afa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ae7782d384f8b89ae0d0ae075f238acad">SetFriction</a> (float friction)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the object's friction.  <a href="#ae7782d384f8b89ae0d0ae075f238acad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ab19500987ffc1a881d420a4b1f4e1175">SetLift</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;lift)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the object's lift.  <a href="#ab19500987ffc1a881d420a4b1f4e1175"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#af7d2cc8c870d3954441dcfb2794e724e">SetLight</a> (<a class="el" href="structiPcLight.html">iPcLight</a> *light)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the light which this body will control.  <a href="#af7d2cc8c870d3954441dcfb2794e724e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#aefe25505307c1cf828b747da6a47caa1">SetLinearVelocity</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vel)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the initial linear velocity (movement) of the object.  <a href="#aefe25505307c1cf828b747da6a47caa1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#aebf2279d75ed72fba423d549ac8ee6a6">SetMass</a> (float mass)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the object's mass.  <a href="#aebf2279d75ed72fba423d549ac8ee6a6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#ac0a7f531ba3779a2669aec8cdfd11de7">SetMechanicsSystem</a> (<a class="el" href="structiPcMechanicsSystem.html">iPcMechanicsSystem</a> *mechsys)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the mechanics system to use.  <a href="#ac0a7f531ba3779a2669aec8cdfd11de7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a56e0fdf02a77cc86946a3fa72fe01582">SetMesh</a> (<a class="el" href="structiPcMesh.html">iPcMesh</a> *mesh)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the mesh which this body will control.  <a href="#a56e0fdf02a77cc86946a3fa72fe01582"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a61d2c45b20737be6f5041d6f92bdd9de">SetSoftness</a> (float softness)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the object's softness.  <a href="#a61d2c45b20737be6f5041d6f92bdd9de"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsObject.html#a25d8e05d726463657108700d5ff72d45">WorldToLocal</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> world)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a vector from world coord system to this objects local system.  <a href="#a25d8e05d726463657108700d5ff72d45"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A dynamic body. </p>
<p>This property class can send out the following messages:</p>
<ul>
<li>'cel.mechanics.collision' (old 'pcdynamicbody_collision'): an entity has collided with this entity. Parameters are 'otherbody' (string: entity name), 'position' (vector3: point of collision, 'normal' (vector3: normal of collision), and 'depth' (float: penetration depth).</li>
</ul>
<p>This property class supports the following actions (add prefix 'cel.mechanics.object.action.' if you want to access this action through a message):</p>
<ul>
<li>InitPhys: parameters 'mass' (float: optional), 'friction' (float: optional), 'elasticity' (float: optional), 'density' (float: optional), 'softness' (float: optional), 'lift' (vector3: optional), and 'drag' (float: optional).</li>
<li>MakeStatic: parameters 'static' (bool).</li>
<li>SetSystem: parameters 'systempcent' (string) and 'systempctag' (string).</li>
<li>SetMesh: parameters 'mechpctag' (string: optional). If tag is not given, the primary (untagged) pcmesh is used.</li>
<li>SetColliderBoundingSphere: parameters 'radiusadjustment' (float: optional).</li>
<li>SetColliderSphere: parameters 'radius' (float: default 1.0) and 'offset' (vector3: default 0,0,0).</li>
<li>SetColliderCylinder: parameters 'length' (float), 'radius' (float: default 1.0), 'axis' (vector3: default 0,0,0), 'offset' (vector3: default 0,0,0), and 'angle' (float: default 0.0).</li>
<li>SetColliderBoundingBox: parameters 'sizeadjustment' (vector3: default 0,0,0).</li>
<li>SetColliderBox: parameters 'size' (vector3: default 1,1,1), 'axis' (vector3: default 0,0,0), 'angle' (float: default 0.0), and 'offset' (vector3: default 0,0,0).</li>
<li>SetColliderPlane: parameters 'normal' (vector3) and 'offset' (float: default 0.0).</li>
<li>SetColliderMesh: no parameters.</li>
<li>SetColliderConvexMesh: no parameters.</li>
<li>SetLinearVelocity: parameters 'velocity' (vector3).</li>
<li>SetAngularVelocity: parameters 'velocity' (vector3).</li>
<li>AddForceOnce: parameters 'force' (vector3), 'relative' (bool: default false), and 'position' (vector3: default 0,0,0).</li>
<li>AddForceDuration: parameters 'force' (vector3), 'relative' (bool: default false), 'position' (vector3: default 0,0,0), and 'seconds' (float).</li>
<li>AddForceFrame: parameters 'force' (vector3), 'relative' (bool: default false), and 'position' (vector3: default 0,0,0).</li>
<li>AddForceTagged: parameters 'force' (vector3), 'relative' (bool: default false), and 'position' (vector3: default 0,0,0). The tag will be set in the property 'lasttag'.</li>
<li>RemoveForceTagged: parameters 'tag' (long).</li>
<li>ClearForces: no parameters.</li>
<li>SetPosition: parameters 'position' (vector3).</li>
<li>ClearRotation: no parameters.</li>
<li>Rotate: parameters 'rotation' (vector3).</li>
<li>LookAt: parameters 'forward' (vector3: default 0,0,1) and 'up' (vector3: default 0,1,0).</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>lasttag (long, read): last tag returned by AddForceTagged action.</li>
<li>linearvelocity (vector3, read/write): get current linear velocity.</li>
<li>angularvelocity (vector3, read/write): get current angular velocity.</li>
<li>static (bool, read/write): is static or not.</li>
<li>cdcallback (bool, read/write): enable/disable the collision callback.</li>
<li>enabled (bool, read/write): object is enabled in the physics simulation. </li>
</ul>

<p>Definition at line <a class="el" href="mechsys_8h_source.html#l00292">292</a> of file <a class="el" href="mechsys_8h_source.html">mechsys.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a987034c0080e19c27efcf2e79711a13f"></a><!-- doxytag: member="iPcMechanicsObject::AddForceDuration" ref="a987034c0080e19c27efcf2e79711a13f" args="(const csVector3 &amp;force, bool relative, const csVector3 &amp;position, float seconds)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a987034c0080e19c27efcf2e79711a13f">iPcMechanicsObject::AddForceDuration</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>relative</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>seconds</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>During the specified time (in seconds) add the force every step. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">force</td><td>a vector representing the force to add to this object. </td></tr>
    <tr><td class="paramname">relative</td><td>if set to true, the given force and position are both in object space; otherwise they are in world space. </td></tr>
    <tr><td class="paramname">position</td><td>the position of the force. </td></tr>
    <tr><td class="paramname">seconds</td><td>the number of seconds that this force should last. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a505a7b3411ce412437519a67f9aa9039"></a><!-- doxytag: member="iPcMechanicsObject::AddForceFrame" ref="a505a7b3411ce412437519a67f9aa9039" args="(const csVector3 &amp;force, bool relative, const csVector3 &amp;position)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a505a7b3411ce412437519a67f9aa9039">iPcMechanicsObject::AddForceFrame</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>relative</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>During the next frame add the force every step. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">force</td><td>a vector representing the force to add to this object. </td></tr>
    <tr><td class="paramname">relative</td><td>if set to true, the given force and position are both in object space; otherwise they are in world space. </td></tr>
    <tr><td class="paramname">position</td><td>the position of the force. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a535a4d764194b9dd7ab1a6383330a009"></a><!-- doxytag: member="iPcMechanicsObject::AddForceOnce" ref="a535a4d764194b9dd7ab1a6383330a009" args="(const csVector3 &amp;force, bool relative, const csVector3 &amp;position)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a535a4d764194b9dd7ab1a6383330a009">iPcMechanicsObject::AddForceOnce</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>relative</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a force once to the given object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">force</td><td>a vector representing the force to add to this object. </td></tr>
    <tr><td class="paramname">relative</td><td>if set to true, the given force and position are both in object space; otherwise they are in world space. </td></tr>
    <tr><td class="paramname">position</td><td>the position of the force. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aac6a269629cf3e9b2991bea5b2e44e7f"></a><!-- doxytag: member="iPcMechanicsObject::AddForceTagged" ref="aac6a269629cf3e9b2991bea5b2e44e7f" args="(const csVector3 &amp;force, bool relative, const csVector3 &amp;position)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> <a class="el" href="structiPcMechanicsObject.html#aac6a269629cf3e9b2991bea5b2e44e7f">iPcMechanicsObject::AddForceTagged</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>relative</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a force with the given tag, to be manually removed later. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">force</td><td>a vector representing the force to add to this object. </td></tr>
    <tr><td class="paramname">relative</td><td>if set to true, the given force and position are both in object space; otherwise they are in world space. </td></tr>
    <tr><td class="paramname">position</td><td>the position of the force. return value is the force id tag (use it to remove the force later). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1e4283b747fd811958c798de389c6ab8"></a><!-- doxytag: member="iPcMechanicsObject::AddToGroup" ref="a1e4283b747fd811958c798de389c6ab8" args="(const char *group)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a1e4283b747fd811958c798de389c6ab8">iPcMechanicsObject::AddToGroup</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>group</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add this body to the specified group. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">group</td><td>the name of the group to add the body to. Creates the group if it does not exist. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a553bc6a82160cf93b307fac76e006af6"></a><!-- doxytag: member="iPcMechanicsObject::AttachColliderBoundingBox" ref="a553bc6a82160cf93b307fac76e006af6" args="(const csVector3 &amp;sizeadjustment=csVector3(0))=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a553bc6a82160cf93b307fac76e006af6">iPcMechanicsObject::AttachColliderBoundingBox</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>sizeadjustment</em> = <code><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>(0)</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a box collider for this object, automatically sized and positioned from it's mesh. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">sizeadjustment</td><td>Amount to vary the size from actual bounding size. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2cf882df76f7709ff8003ccd74fd0c82"></a><!-- doxytag: member="iPcMechanicsObject::AttachColliderBoundingSphere" ref="a2cf882df76f7709ff8003ccd74fd0c82" args="(float radiusadjustment=0.0f)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a2cf882df76f7709ff8003ccd74fd0c82">iPcMechanicsObject::AttachColliderBoundingSphere</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radiusadjustment</em> = <code>0.0f</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a sphere collider for this object, automatically sized and positioned from it's mesh. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">radiusadjustment</td><td>Amount to vary the radius from actual bounding radius. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa5e229261a484fe9bec03bd79ccbb455"></a><!-- doxytag: member="iPcMechanicsObject::AttachColliderBox" ref="aa5e229261a484fe9bec03bd79ccbb455" args="(const csVector3 &amp;size, const csOrthoTransform &amp;trans)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#aa5e229261a484fe9bec03bd79ccbb455">iPcMechanicsObject::AttachColliderBox</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsOrthoTransform.html">csOrthoTransform</a> &amp;&#160;</td>
          <td class="paramname"><em>trans</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a box collider for this object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>the size of the box in each direction. </td></tr>
    <tr><td class="paramname">trans</td><td>the transformation to apply to the box. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4ccfbaa43a35425865d23928e96bc603"></a><!-- doxytag: member="iPcMechanicsObject::AttachColliderConvexMesh" ref="a4ccfbaa43a35425865d23928e96bc603" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a4ccfbaa43a35425865d23928e96bc603">iPcMechanicsObject::AttachColliderConvexMesh</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a convex mesh collider for this object from the attached <a class="el" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>. </p>

</div>
</div>
<a class="anchor" id="afe375adbbdfdf70b46af13fa3a12aef7"></a><!-- doxytag: member="iPcMechanicsObject::AttachColliderCylinder" ref="afe375adbbdfdf70b46af13fa3a12aef7" args="(float length, float radius, const csOrthoTransform &amp;trans)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#afe375adbbdfdf70b46af13fa3a12aef7">iPcMechanicsObject::AttachColliderCylinder</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsOrthoTransform.html">csOrthoTransform</a> &amp;&#160;</td>
          <td class="paramname"><em>trans</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a cylinder collider for this object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">length</td><td>the length of the cylinder. </td></tr>
    <tr><td class="paramname">radius</td><td>the radius of the cylinder. </td></tr>
    <tr><td class="paramname">trans</td><td>the transformation to apply to the cylinder. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae3014506ffc9cb08e0e60a0e40dcf948"></a><!-- doxytag: member="iPcMechanicsObject::AttachColliderMesh" ref="ae3014506ffc9cb08e0e60a0e40dcf948" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#ae3014506ffc9cb08e0e60a0e40dcf948">iPcMechanicsObject::AttachColliderMesh</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a mesh collider for this object from the attached <a class="el" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>. </p>

</div>
</div>
<a class="anchor" id="a680eb66d8c3cc332f47441e9a6c9c4ca"></a><!-- doxytag: member="iPcMechanicsObject::AttachColliderPlane" ref="a680eb66d8c3cc332f47441e9a6c9c4ca" args="(const csPlane3 &amp;plane)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a680eb66d8c3cc332f47441e9a6c9c4ca">iPcMechanicsObject::AttachColliderPlane</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPlane3.html">csPlane3</a> &amp;&#160;</td>
          <td class="paramname"><em>plane</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a plane collider for this object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">plane</td><td>the definition of the plane to use. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a30faf24bb4efb8a4913e185d49aeb12a"></a><!-- doxytag: member="iPcMechanicsObject::AttachColliderSphere" ref="a30faf24bb4efb8a4913e185d49aeb12a" args="(float radius, const csVector3 &amp;offset)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a30faf24bb4efb8a4913e185d49aeb12a">iPcMechanicsObject::AttachColliderSphere</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>offset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a sphere collider for this object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">radius</td><td>the radius of the sphere. </td></tr>
    <tr><td class="paramname">offset</td><td>the offset from the center of the object to the center of the sphere. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a99dc6a9c9d483f308a46bda3dd5b0dcd"></a><!-- doxytag: member="iPcMechanicsObject::ClearForces" ref="a99dc6a9c9d483f308a46bda3dd5b0dcd" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a99dc6a9c9d483f308a46bda3dd5b0dcd">iPcMechanicsObject::ClearForces</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear the permanent forces on this body. </p>

</div>
</div>
<a class="anchor" id="ae295f74a80e9fc47f28ac51b73d170a9"></a><!-- doxytag: member="iPcMechanicsObject::CreateJoint" ref="ae295f74a80e9fc47f28ac51b73d170a9" args="(iPcMechanicsObject *other)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiJoint.html">iJoint</a>* <a class="el" href="structiPcMechanicsObject.html#ae295f74a80e9fc47f28ac51b73d170a9">iPcMechanicsObject::CreateJoint</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a joint between this object and another. </p>

</div>
</div>
<a class="anchor" id="a96e308b35499fc9478cf43e458a31928"></a><!-- doxytag: member="iPcMechanicsObject::GetAngularVelocity" ref="a96e308b35499fc9478cf43e458a31928" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiPcMechanicsObject.html#a96e308b35499fc9478cf43e458a31928">iPcMechanicsObject::GetAngularVelocity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current angular velocity (rotation) of the object. </p>

</div>
</div>
<a class="anchor" id="ac2bc708f19c17fc57d96e438f5980290"></a><!-- doxytag: member="iPcMechanicsObject::GetBody" ref="ac2bc708f19c17fc57d96e438f5980290" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiRigidBody.html">iRigidBody</a>* <a class="el" href="structiPcMechanicsObject.html#ac2bc708f19c17fc57d96e438f5980290">iPcMechanicsObject::GetBody</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the associated rigid body. </p>

</div>
</div>
<a class="anchor" id="a2ea10a56d7e022df496fb295f1a162b5"></a><!-- doxytag: member="iPcMechanicsObject::GetCamera" ref="a2ea10a56d7e022df496fb295f1a162b5" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcCamera.html">iPcCamera</a>* <a class="el" href="structiPcMechanicsObject.html#a2ea10a56d7e022df496fb295f1a162b5">iPcMechanicsObject::GetCamera</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the associated camera property class. </p>

</div>
</div>
<a class="anchor" id="a38c3f08611b56a0e61e267ac09eae682"></a><!-- doxytag: member="iPcMechanicsObject::GetDensity" ref="a38c3f08611b56a0e61e267ac09eae682" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsObject.html#a38c3f08611b56a0e61e267ac09eae682">iPcMechanicsObject::GetDensity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the object's density. </p>
<p>Must be called before Attach..., otherwise defaults to 1. </p>

</div>
</div>
<a class="anchor" id="a450da3ae5eff1c5c2dea86a027b3b1e8"></a><!-- doxytag: member="iPcMechanicsObject::GetDrag" ref="a450da3ae5eff1c5c2dea86a027b3b1e8" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsObject.html#a450da3ae5eff1c5c2dea86a027b3b1e8">iPcMechanicsObject::GetDrag</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the object's drag. </p>
<p>Must be called before Attach..., otherwise defaults to 0. </p>

</div>
</div>
<a class="anchor" id="a816452282253941f5082b18839135d67"></a><!-- doxytag: member="iPcMechanicsObject::GetElasticity" ref="a816452282253941f5082b18839135d67" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsObject.html#a816452282253941f5082b18839135d67">iPcMechanicsObject::GetElasticity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the object's elasticity. </p>
<p>Must be called before Attach..., otherwise defaults to 0. </p>

</div>
</div>
<a class="anchor" id="a71e7bcacc7dc609b25add73f73867ff6"></a><!-- doxytag: member="iPcMechanicsObject::GetFriction" ref="a71e7bcacc7dc609b25add73f73867ff6" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsObject.html#a71e7bcacc7dc609b25add73f73867ff6">iPcMechanicsObject::GetFriction</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the object's friction. </p>
<p>Must be called before Attach..., otherwise defaults to 1. </p>

</div>
</div>
<a class="anchor" id="a6af72c2d9714c20caf5282f1654ec7e3"></a><!-- doxytag: member="iPcMechanicsObject::GetLift" ref="a6af72c2d9714c20caf5282f1654ec7e3" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; <a class="el" href="structiPcMechanicsObject.html#a6af72c2d9714c20caf5282f1654ec7e3">iPcMechanicsObject::GetLift</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the object's lift. </p>
<p>Must be called before Attach..., otherwise defaults to 0. </p>

</div>
</div>
<a class="anchor" id="a5be069a38ef822ff54544a84a8b10d89"></a><!-- doxytag: member="iPcMechanicsObject::GetLight" ref="a5be069a38ef822ff54544a84a8b10d89" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcLight.html">iPcLight</a>* <a class="el" href="structiPcMechanicsObject.html#a5be069a38ef822ff54544a84a8b10d89">iPcMechanicsObject::GetLight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the associated light property class. </p>

</div>
</div>
<a class="anchor" id="ac01c0658a79bc6b30bce62cd99c59be7"></a><!-- doxytag: member="iPcMechanicsObject::GetLinearVelocity" ref="ac01c0658a79bc6b30bce62cd99c59be7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiPcMechanicsObject.html#ac01c0658a79bc6b30bce62cd99c59be7">iPcMechanicsObject::GetLinearVelocity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current linear velocity (movement) of the object. </p>

</div>
</div>
<a class="anchor" id="a2a7ab9561c54c2a41dd21cd48767fe80"></a><!-- doxytag: member="iPcMechanicsObject::GetMass" ref="a2a7ab9561c54c2a41dd21cd48767fe80" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsObject.html#a2a7ab9561c54c2a41dd21cd48767fe80">iPcMechanicsObject::GetMass</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the object's mass. </p>
<p>Must be called before Attach..., otherwise defaults to 1. </p>

</div>
</div>
<a class="anchor" id="ae90c3a046958a0d26055d5623f8ffd3f"></a><!-- doxytag: member="iPcMechanicsObject::GetMechanicsSystem" ref="ae90c3a046958a0d26055d5623f8ffd3f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcMechanicsSystem.html">iPcMechanicsSystem</a>* <a class="el" href="structiPcMechanicsObject.html#ae90c3a046958a0d26055d5623f8ffd3f">iPcMechanicsObject::GetMechanicsSystem</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the associated mechanics system. </p>

</div>
</div>
<a class="anchor" id="adde993e5fedda249abf97721d8ddd8db"></a><!-- doxytag: member="iPcMechanicsObject::GetMesh" ref="adde993e5fedda249abf97721d8ddd8db" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcMesh.html">iPcMesh</a>* <a class="el" href="structiPcMechanicsObject.html#adde993e5fedda249abf97721d8ddd8db">iPcMechanicsObject::GetMesh</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the associated mesh property class. </p>

</div>
</div>
<a class="anchor" id="ae039f85cb5be9ad570bb98863bda333e"></a><!-- doxytag: member="iPcMechanicsObject::GetSoftness" ref="ae039f85cb5be9ad570bb98863bda333e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsObject.html#ae039f85cb5be9ad570bb98863bda333e">iPcMechanicsObject::GetSoftness</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the object's softness. </p>
<p>Must be called before Attach..., otherwise defaults to 0. </p>

</div>
</div>
<a class="anchor" id="a3e0c77692d149d76f801c72e3c77f55a"></a><!-- doxytag: member="iPcMechanicsObject::IsCollisionCallbackEnabled" ref="a3e0c77692d149d76f801c72e3c77f55a" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcMechanicsObject.html#a3e0c77692d149d76f801c72e3c77f55a">iPcMechanicsObject::IsCollisionCallbackEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if collision callback is enabled. </p>

</div>
</div>
<a class="anchor" id="aca764cfe8f9c31eb3fce75b177fbf10c"></a><!-- doxytag: member="iPcMechanicsObject::IsStatic" ref="aca764cfe8f9c31eb3fce75b177fbf10c" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcMechanicsObject.html#aca764cfe8f9c31eb3fce75b177fbf10c">iPcMechanicsObject::IsStatic</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if static. </p>

</div>
</div>
<a class="anchor" id="a7378de779bcec920f07db72e1346d54d"></a><!-- doxytag: member="iPcMechanicsObject::LocalToWorld" ref="a7378de779bcec920f07db72e1346d54d" args="(csVector3 local)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiPcMechanicsObject.html#a7378de779bcec920f07db72e1346d54d">iPcMechanicsObject::LocalToWorld</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td>
          <td class="paramname"><em>local</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a vector from this objects local system to world coord system. </p>

</div>
</div>
<a class="anchor" id="a3b3ef562b296bda150af14742088f1aa"></a><!-- doxytag: member="iPcMechanicsObject::MakeStatic" ref="a3b3ef562b296bda150af14742088f1aa" args="(bool stat)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a3b3ef562b296bda150af14742088f1aa">iPcMechanicsObject::MakeStatic</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stat</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Make static. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">stat</td><td>if true, the object is static; otherwise it is affected by forces. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3664c1104a818b889eea2c343c868a8c"></a><!-- doxytag: member="iPcMechanicsObject::RemoveForceTagged" ref="a3664c1104a818b889eea2c343c868a8c" args="(uint32 forceid)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a3664c1104a818b889eea2c343c868a8c">iPcMechanicsObject::RemoveForceTagged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td>
          <td class="paramname"><em>forceid</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove the force with the given tag. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">forceid</td><td>the tag of the desired force. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a731d9dd3a3e1c64104583444feed417e"></a><!-- doxytag: member="iPcMechanicsObject::RemoveFromGroup" ref="a731d9dd3a3e1c64104583444feed417e" args="(const char *group)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a731d9dd3a3e1c64104583444feed417e">iPcMechanicsObject::RemoveFromGroup</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>group</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove this body from the specified group. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">group</td><td>the name of the group to remove the body from. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a28ae6960a8b0a19c7d1fcb950c978a96"></a><!-- doxytag: member="iPcMechanicsObject::SetAngularVelocity" ref="a28ae6960a8b0a19c7d1fcb950c978a96" args="(const csVector3 &amp;vel)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a28ae6960a8b0a19c7d1fcb950c978a96">iPcMechanicsObject::SetAngularVelocity</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vel</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the initial angular velocity (rotation) of the object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">vel</td><td>the angular velocity to apply to the object </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2d5d93d7de2a4ef73ecd18fe8f1271c1"></a><!-- doxytag: member="iPcMechanicsObject::SetCamera" ref="a2d5d93d7de2a4ef73ecd18fe8f1271c1" args="(iPcCamera *camera)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a2d5d93d7de2a4ef73ecd18fe8f1271c1">iPcMechanicsObject::SetCamera</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcCamera.html">iPcCamera</a> *&#160;</td>
          <td class="paramname"><em>camera</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the camera which this body will control. </p>
<p>If this is used then this overrides the default behaviour of trying to find 'pcmesh', 'pclight', and 'pccamera' in that order. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">camera</td><td>a pointer to the <a class="el" href="structiPcCamera.html" title="The representation of a camera.">iPcCamera</a> to control. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a874d14f8557251e60ec927cf52152ef8"></a><!-- doxytag: member="iPcMechanicsObject::SetCollisionCallbackEnabled" ref="a874d14f8557251e60ec927cf52152ef8" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a874d14f8557251e60ec927cf52152ef8">iPcMechanicsObject::SetCollisionCallbackEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set to true if you want to receive collision detection events (pcdynamicbody_collision). </p>
<p>By default this is true. </p>

</div>
</div>
<a class="anchor" id="a0077a80739cddb50dece115547623cca"></a><!-- doxytag: member="iPcMechanicsObject::SetDensity" ref="a0077a80739cddb50dece115547623cca" args="(float density)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a0077a80739cddb50dece115547623cca">iPcMechanicsObject::SetDensity</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>density</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the object's density. </p>
<p>Must be called before Attach..., otherwise defaults to 1. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">density</td><td>the density of this object. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a957c04a0e83abc26b84c7f6020dcfb1e"></a><!-- doxytag: member="iPcMechanicsObject::SetDrag" ref="a957c04a0e83abc26b84c7f6020dcfb1e" args="(float drag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a957c04a0e83abc26b84c7f6020dcfb1e">iPcMechanicsObject::SetDrag</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>drag</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the object's drag. </p>
<p>Must be called before Attach..., otherwise defaults to 0. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">drag</td><td>the drag generated by this object in a fluid. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a626142213e77fcc7977e60d9480e2afa"></a><!-- doxytag: member="iPcMechanicsObject::SetElasticity" ref="a626142213e77fcc7977e60d9480e2afa" args="(float elasticity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a626142213e77fcc7977e60d9480e2afa">iPcMechanicsObject::SetElasticity</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>elasticity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the object's elasticity. </p>
<p>Must be called before Attach..., otherwise defaults to 0. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">elasticity</td><td>the elasticity of this object. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae7782d384f8b89ae0d0ae075f238acad"></a><!-- doxytag: member="iPcMechanicsObject::SetFriction" ref="ae7782d384f8b89ae0d0ae075f238acad" args="(float friction)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#ae7782d384f8b89ae0d0ae075f238acad">iPcMechanicsObject::SetFriction</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>friction</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the object's friction. </p>
<p>Must be called before Attach..., otherwise defaults to 1. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">friction</td><td>the friction coefficient for this object. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab19500987ffc1a881d420a4b1f4e1175"></a><!-- doxytag: member="iPcMechanicsObject::SetLift" ref="ab19500987ffc1a881d420a4b1f4e1175" args="(const csVector3 &amp;lift)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#ab19500987ffc1a881d420a4b1f4e1175">iPcMechanicsObject::SetLift</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>lift</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the object's lift. </p>
<p>Must be called before Attach..., otherwise defaults to 0. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">lift</td><td>the lift generated by this object in a fluid. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af7d2cc8c870d3954441dcfb2794e724e"></a><!-- doxytag: member="iPcMechanicsObject::SetLight" ref="af7d2cc8c870d3954441dcfb2794e724e" args="(iPcLight *light)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#af7d2cc8c870d3954441dcfb2794e724e">iPcMechanicsObject::SetLight</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcLight.html">iPcLight</a> *&#160;</td>
          <td class="paramname"><em>light</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the light which this body will control. </p>
<p>If this is used then this overrides the default behaviour of trying to find 'pcmesh', 'pclight', and 'pccamera' in that order. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">light</td><td>a pointer to the <a class="el" href="structiPcLight.html" title="This is a property class holding the representation of a light.">iPcLight</a> to control. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aefe25505307c1cf828b747da6a47caa1"></a><!-- doxytag: member="iPcMechanicsObject::SetLinearVelocity" ref="aefe25505307c1cf828b747da6a47caa1" args="(const csVector3 &amp;vel)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#aefe25505307c1cf828b747da6a47caa1">iPcMechanicsObject::SetLinearVelocity</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vel</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the initial linear velocity (movement) of the object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">vel</td><td>the linear velocity to apply to the object. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aebf2279d75ed72fba423d549ac8ee6a6"></a><!-- doxytag: member="iPcMechanicsObject::SetMass" ref="aebf2279d75ed72fba423d549ac8ee6a6" args="(float mass)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#aebf2279d75ed72fba423d549ac8ee6a6">iPcMechanicsObject::SetMass</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>mass</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the object's mass. </p>
<p>Must be called before Attach..., otherwise defaults to 1. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mass</td><td>the mass of this object. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac0a7f531ba3779a2669aec8cdfd11de7"></a><!-- doxytag: member="iPcMechanicsObject::SetMechanicsSystem" ref="ac0a7f531ba3779a2669aec8cdfd11de7" args="(iPcMechanicsSystem *mechsys)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#ac0a7f531ba3779a2669aec8cdfd11de7">iPcMechanicsObject::SetMechanicsSystem</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsSystem.html">iPcMechanicsSystem</a> *&#160;</td>
          <td class="paramname"><em>mechsys</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the mechanics system to use. </p>
<p>If you don't do this then the object will look in the object registry for a suitable mechanics system. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mechsys</td><td>a pointer to the <a class="el" href="structiPcMechanicsSystem.html" title="Property class representing a dynamic system.">iPcMechanicsSystem</a> to use. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a56e0fdf02a77cc86946a3fa72fe01582"></a><!-- doxytag: member="iPcMechanicsObject::SetMesh" ref="a56e0fdf02a77cc86946a3fa72fe01582" args="(iPcMesh *mesh)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a56e0fdf02a77cc86946a3fa72fe01582">iPcMechanicsObject::SetMesh</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the mesh which this body will control. </p>
<p>If this is used then this overrides the default behaviour of trying to find 'pcmesh', 'pclight', and 'pccamera' in that order. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mesh</td><td>a pointer to the <a class="el" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a> to control. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a61d2c45b20737be6f5041d6f92bdd9de"></a><!-- doxytag: member="iPcMechanicsObject::SetSoftness" ref="a61d2c45b20737be6f5041d6f92bdd9de" args="(float softness)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsObject.html#a61d2c45b20737be6f5041d6f92bdd9de">iPcMechanicsObject::SetSoftness</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>softness</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the object's softness. </p>
<p>Must be called before Attach..., otherwise defaults to 0. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">softness</td><td>the softness of this object. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a25d8e05d726463657108700d5ff72d45"></a><!-- doxytag: member="iPcMechanicsObject::WorldToLocal" ref="a25d8e05d726463657108700d5ff72d45" args="(csVector3 world)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiPcMechanicsObject.html#a25d8e05d726463657108700d5ff72d45">iPcMechanicsObject::WorldToLocal</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td>
          <td class="paramname"><em>world</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a vector from world coord system to this objects local system. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="mechsys_8h_source.html">mechsys.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
